*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Arial, Helvetica, sans-serif;
}

.navbar{
    background-color: #222;
    color: white;
    padding: 15px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.navbar ul{
    list-style: none;
    display: flex;
    gap: 10px;
}

.navbar ul li{
    margin-left: 20px;
}

.hero{
    display: flex;
    padding: 60px;
    background-color: #f2f2f2;
    align-items: center;
    justify-content: space-around;
    animation: Fadein 0.5s  ;
}

.hero_text h1{
    font-size: 40px;
}

.hero_text p{
    margin: 15px 0;
    font-size: 18px;
}
.social_icons i{
    font-size:20px ;
    margin-right:2px ;
    cursor: pointer;
    transition: 0.5s;
    

}
.social_icons i:hover{
    color:cyan;
    transform: scale(1.2);
}

.hero_text button{
    padding: 10px 20px;
    background-color:rgb(206, 123, 21);
    border: none;
    color:#f2f2f2;
    cursor: pointer;
    transition: 0.5s;
}

.hero_text button:hover{
    background-color:orange;
    transform: scale(1.2);
}

.hero_image img {
    
    max-width:150px;
    height:auto;
    border-radius: 30%;
    animation: moveBox 4s infinite;
    animation-timing-function: linear;

}

.about{
    padding: 50px;
    text-align: center;
}

.about h2{
    margin-bottom: 15px;
    font-size: 30px;
}

.about p{
    text-align: justify;
    color: gray;
}

.skills{
    background-color: #eee;
    padding: 50px;
    text-align: center;
}

.skill_box{
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 20px;
    gap: 1rem;
}

.skill{
    background-color: white;
    padding: 15px 20px;
    margin: 10px;
    border-radius: 10px;
    box-shadow: 0 0 5px gray;
    cursor: pointer;
}

.skill:hover{
    background-color:rgb(184, 213, 211);
}

.contact{
    padding: 50px;
    text-align: center;
}

.contact h2{
    margin-bottom: 20px;
}

.contact form{
    max-width: 400px;
    width: 100%;
    margin: auto;
}

.contact input, .contact textarea {
    width: 100%;
    padding: 10px;
    margin: 10px;
}

.contact button{
    width: 100%;
    margin: 10px;
    padding: 10px;
    background-color: #222;
    color:white;
    border: none;
}

footer{
    background-color: #222;
    color: white;
    text-align: center;
    padding: 15px;
}
@keyframes moveBox{
    0% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.3);
    }
    100% {
        transform: scale(1);
    }
    
}

@media (max-width: 1050px){
    .hero{
            flex-direction: column;
            gap: 4rem;
    }

.hero_image img{
        width: 90vw;
    }
}

@media (max-width: 768px) {
.navbar {
    flex-direction: column;
    gap: 10px;
}
.navbar ul {
    flex-direction: column;
    padding-top: 10px;
}
}
@media (max-width: 768px) {
.skill_box {
    flex-direction: column;
}
}
@media (max-width: 1050px) {
.hero {
    flex-direction: column;
    gap: 4rem;
    text-align: center;
}
}

@media (max-width: 768px) {
.hero_text h1 {
    font-size: 28px;
}
.contact form {
    width: 100%;
}
}

